package be.fgov.ehealth.technicalconnector.bootstrap.tsl;

import java.io.File;

import org.junit.Test;

import be.ehealth.technicalconnector.config.ConfigFactory;

public class TrustStoreUpdaterIntegrationTest {

    @Test
    public void launch() throws Exception {
        ConfigFactory.getConfigValidator()
                     .setProperty("truststoreupdater.local.cache", File.createTempFile("truststore", ".properties")
                                                                       .getAbsolutePath());
        ConfigFactory.getConfigValidator()
                     .setProperty("KEYSTORE_DIR", TrustStoreUpdater.class.getResource(ConfigFactory.getConfigValidator()
                                                                                                   .getProperty("KEYSTORE_DIR"))
                                                                         .getFile());
        TrustStoreUpdater.launch();
    }

}